import AppLayout from "@/layout/app/index.vue";

export default [
  {
    "path": "/xxgzjc",
    "name": "XXGZJC",
    "props": false,
    "hidden": false,
    "meta": {
      "hidden": false,
      "breadcrumb": true,
      "sort": 0,
      "title": "学校工作检查",
      "icon": "el-icon-document"
    },
    "component": AppLayout,
    "children": [
      {
        "path": "dzmb",
        "name": "XXGZJC_DZMB",
        "props": false,
        "hidden": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 0,
          "title": "定制模板"
        },
        "component": () => import('~/views/xxgzjc/dzmb.vue'),
        "children": [
          {
            "path": "",
            "name": "XXGZJC_DZMB_INDEX",
            "props": false,
            "hidden": false,
            "meta": {
              "hidden": false,
              "breadcrumb": true,
              "sort": 0,
              "title": "定制模板"
            },
            "component": () => import('~/views/xxgzjc/dzmb/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:id",
            "name": "XXGZJC_DZMB_DETAIL",
            "props": true,
            "hidden": true,
            "meta": {
              "hidden": true,
              "breadcrumb": true,
              "sort": 1,
              "title": "详情"
            },
            "component": () => import('~/views/xxgzjc/dzmb/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "XXGZJC_DZMB_INDEX"
        }
      },
      {
        "path": "tjtj",
        "name": "XXGZJC_TJTJ",
        "props": false,
        "hidden": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 1,
          "title": "提交统计"
        },
        "component": () => import('~/views/xxgzjc/tjtj.vue'),
        "children": [
          {
            "path": "",
            "name": "XXGZJC_TJTJ_INDEX",
            "props": false,
            "hidden": false,
            "meta": {
              "hidden": false,
              "breadcrumb": true,
              "sort": 0,
              "title": "提交统计"
            },
            "component": () => import('~/views/xxgzjc/tjtj/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:id",
            "name": "XXGZJC_TJTJ_DETAIL",
            "props": true,
            "hidden": true,
            "meta": {
              "hidden": true,
              "breadcrumb": true,
              "sort": 1,
              "title": "详情"
            },
            "component": () => import('~/views/xxgzjc/tjtj/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "XXGZJC_TJTJ_INDEX"
        }
      },
      {
        "path": "jcbd",
        "name": "XXGZJC_JCBD",
        "props": false,
        "hidden": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 2,
          "title": "检查表单"
        },
        "component": () => import('~/views/xxgzjc/jcbd.vue'),
        "children": [
          {
            "path": "",
            "name": "XXGZJC_JCBD_INDEX",
            "props": false,
            "hidden": false,
            "meta": {
              "hidden": false,
              "breadcrumb": true,
              "sort": 0,
              "title": "检查表单"
            },
            "component": () => import('~/views/xxgzjc/jcbd/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:id",
            "name": "XXGZJC_JCBD_DETAIL",
            "props": true,
            "hidden": true,
            "meta": {
              "hidden": true,
              "breadcrumb": true,
              "sort": 1,
              "title": "详情"
            },
            "component": () => import('~/views/xxgzjc/jcbd/detail.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "XXGZJC_JCBD_INDEX"
        }
      },
      {
        "path": "zlgd",
        "name": "XXGZJC_ZLGD",
        "props": false,
        "hidden": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 3,
          "title": "资料归档"
        },
        "component": () => import('~/views/xxgzjc/zlgd.vue'),
        "children": [
          {
            "path": "",
            "name": "XXGZJC_ZLGD_INDEX",
            "props": false,
            "hidden": false,
            "meta": {
              "hidden": false,
              "breadcrumb": true,
              "sort": 0,
              "title": "资料归档"
            },
            "component": () => import('~/views/xxgzjc/zlgd/index.vue'),
            "redirect": null
          },
          {
            "path": "detail/:id",
            "name": "XXGZJC_ZLGD_DETAIL",
            "props": true,
            "hidden": true,
            "meta": {
              "hidden": true,
              "breadcrumb": true,
              "sort": 1,
              "title": "详情"
            },
            "component": () => import('~/views/xxgzjc/zlgd/detail.vue'),
            "children": [
              {
                "path": "rwxq",
                "name": "XXGZJC_ZLGD_DETAIL_RWXQ",
                "props": true,
                "hidden": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": true,
                  "sort": 0,
                  "title": "任务详情"
                },
                "component": () => import('~/views/xxgzjc/zlgd/detail/rwxq.vue'),
                "redirect": null
              },
              {
                "path": "fkyj",
                "name": "XXGZJC_ZLGD_DETAIL_FKYJ",
                "props": true,
                "hidden": true,
                "meta": {
                  "hidden": true,
                  "breadcrumb": true,
                  "sort": 1,
                  "title": "反馈意见"
                },
                "component": () => import('~/views/xxgzjc/zlgd/detail/fkyj.vue'),
                "redirect": null
              }
            ],
            "redirect": {
              "name": "XXGZJC_ZLGD_DETAIL_RWXQ"
            }
          }
        ],
        "redirect": {
          "name": "XXGZJC_ZLGD_INDEX"
        }
      },
      // {
      //   "path": "bbtj",
      //   "name": "XXGZJC_BBTJ",
      //   "props": false,
      //   "hidden": false,
      //   "meta": {
      //     "hidden": false,
      //     "breadcrumb": true,
      //     "sort": 4,
      //     "title": "报表统计"
      //   },
      //   "component": () => import('~/views/xxgzjc/bbtj.vue'),
      //   "redirect": null
      // }
    ],
    "redirect": {
      "name": "XXGZJC_DZMB"
    }
  }
]
