import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jcb_fzyj: data.jcb_fzyj,
            jcb_sjfx: data.jcb_sjfx,
            jcb_qxkz: data.jcb_qxkz,
            jcb_lclx: data.jcb_lclx,
            jcb_lclx_id: data.jcb_lclx_id,
            jcb_cjr: data.jcb_cjr,
            jcb_shr: data.jcb_shr,
            jcb_shr_id: data.jcb_shr_id,
            jcb_cjsj: data.jcb_cjsj
        }
    })

export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_cfbtsb_bbtj: {
                jcb_name: data.jcb_name,
                jcb_fzyj: data.jcb_fzyj,
                jcb_sjfx: data.jcb_sjfx,
                jcb_qxkz: data.jcb_qxkz,
                jcb_lclx: data.jcb_lclx,
                jcb_lclx_id: data.jcb_lclx_id,
                jcb_cjr: data.jcb_cjr,
                jcb_shr: data.jcb_shr,
                jcb_shr_id: data.jcb_shr_id,
                jcb_cjsj: data.jcb_cjsj
            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/edit',
        data: {
            issubmit: '1',
            jcb_id: data.jcb_id,
            jdbg_cfbtsb_bbtj: {
                jcb_name: data.jcb_name,
                jcb_fzyj: data.jcb_fzyj,
                jcb_sjfx: data.jcb_sjfx,
                jcb_qxkz: data.jcb_qxkz,
                jcb_lclx: data.jcb_lclx,
                jcb_lclx_id: data.jcb_lclx_id,
                jcb_cjr: data.jcb_cjr,
                jcb_shr: data.jcb_shr,
                jcb_shr_id: data.jcb_shr_id,
                jcb_cjsj: data.jcb_cjsj
            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/delete',
        data: {
            jcb_id: data.jcb_id
        },
    })

export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/detail',
        data: {
            jcb_id: data.jcb_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })