import request from '@/utils/request'
export const btlb_list = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_btlb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const btlb_add = (data ={}) =>
    request({
        url: '/jdbg/cfbtsb_btlb/add',
        data: {
            issubmit:'1',
            jdbg_cfbtsb_btlb:{
                cbtl_title:data.cbtl_title,
                cbtl_sqr:data.cbtl_sqr,
                cbtl_date:data.cbtl_date,
                cbtl_lb:data.cbtl_lb,
                cbtl_je:data.cbtl_je,
                cbtl_sqr_user_id:data.cbtl_sqr_user_id,
                cbtl_shr:data.cbtl_shr,
                cbtl_sc: data.cbtl_sc,
                cbtl_shr_user_id:data.cbtl_shr_user_id
            }
        }
    })

export const btlb_edit = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_btlb/edit',
        data: {
            issubmit: '1',
            cbtl_id: data.cbtl_id,
            cbtl_title:data.cbtl_title,
            cbtl_sqr:data.cbtl_sqr,
            cbtl_date:data.cbtl_date,
            cbtl_lb:data.cbtl_lb,
            cbtl_je:data.cbtl_je,
            cbtl_sqr_user_id:data.cbtl_sqr_user_id,
            cbtl_shr:data.cbtl_shr,
            cbtl_sc: data.cbtl_sc,
            cbtl_shr_user_id:data.cbtl_shr_user_id
        },
    })

export const btlb_del = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_btlb/delete',
        data: {
            cbtl_id: data.cbtl_id
        },
    })
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })



