import request from '@/utils/request'
export const shsz_list = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_shsz/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const shsz_add = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_shsz/add',
        data: {
            issubmit: '1',
            jdbg_cfbtsb_shsz: {
                cbs_name: data.cbs_name,
                cbs_sqr: data.cbs_sqr,
                cbs_cjsj: data.cbs_cjsj,
                cbs_yydx: data.cbs_yydx,
                cbs_btrqlx: data.cbs_btrqlx,
                cbs_btgzlx: data.cbs_btgzlx,
                cbs_zxbtsj: data.cbs_zxbtsj,
                cbs_btsjje: data.cbs_btsjje,
                cbs_shr: data.cbs_shr,

            }

        },
    })

export const shsz_edit = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_shsz/edit',
        data: {
            issubmit: '1',
            cbs_id: data.cbs_id,
            jdbg_cfbtsb_shsz: {
                cbs_name: data.cbs_name,
                cbs_sqr: data.cbs_sqr,
                cbs_cjsj: data.cbs_cjsj,
                cbs_yydx: data.cbs_yydx,
                cbs_btrqlx: data.cbs_btrqlx,
                cbs_btgzlx: data.cbs_btgzlx,
                cbs_zxbtsj: data.cbs_zxbtsj,
                cbs_btsjje: data.cbs_btsjje,
                cbs_shr: data.cbs_shr,
            }

        },
    })

export const shsz_del = (data = {}) =>
    request({
        url: '/jdbg/cfbtsb_shsz/delete',
        data: {
            cbs_id: data.cbs_id
        },
    })

export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })



