import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const ddgzjh_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name
        }
    })
export const ddgzjl_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjl/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name,
            ddjh_id: data.ddjh_id,
            ddjh_name: data.ddjh_name
        }
    })
export const ddgzjl_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjl/add',
        data: {
            issubmit: '1',
            jdbg_dddx_ddgzjl: {
                ddjh_name: data.ddjh_name,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_jhsj: data.ddjh_jhsj,
                ddjh_jlnr: data.ddjh_jlnr,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,
                ddjh_id: data.ddjh_id,
                ddjh_name: data.ddjh_name

            }

        },
    })

export const ddgzjl_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjl/edit',
        data: {
            issubmit: '1',
            ddjl_id: data.ddjl_id,
            jdbg_dddx_ddgzjl: {
                ddjh_name: data.ddjh_name,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_jhsj: data.ddjh_jhsj,
                ddjh_jlnr: data.ddjh_jlnr,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,
                ddjh_id: data.ddjh_id,
                ddjh_name: data.ddjh_name
            }

        },
    })

export const ddgzjl_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjl/delete',
        data: {
            ddjl_id: data.ddjl_id
        },
    })






