import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const ddqkfk_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddqkfk/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name,
        }
    })
export const ddqkfk_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddqkfk/add',
        data: {
            issubmit: '1',
            jdbg_dddx_ddqkfk: {
                ddqk_name: data.ddqk_name,
                ddqk_content: data.ddqk_content,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_cjsj: data.ddjh_cjsj,
                ddjh_fkdx: data.ddjh_fkdx,
                ddjh_surw: data.ddjh_surw,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,

            }

        },
    })

export const ddqkfk_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddqkfk/edit',
        data: {
            issubmit: '1',
            ddqk_id: data.ddqk_id,
            jdbg_dddx_ddqkfk: {
                ddqk_name: data.ddqk_name,
                ddqk_content: data.ddqk_content,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_cjsj: data.ddjh_cjsj,
                ddjh_fkdx: data.ddjh_fkdx,
                ddjh_surw: data.ddjh_surw,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,


            }

        },
    })

export const ddqkfk_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddqkfk/delete',
        data: {
            ddqk_id: data.ddqk_id
        },
    })






