import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const ddrw_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/add',
        data: {
            issubmit: '1',
            jdbg_dddx_ddrw: {
                ddrw_name: data.ddrw_name,
                ddrw_cjr: data.ddrw_cjr,
                create_user_id: data.create_user_id,
                ddrw_fzr: data.ddrw_fzr,
                ddrw_jzsj: data.ddrw_jzsj,
                ddrw_zt: data.ddrw_zt,
                ddrw_ddnr: data.ddrw_ddnr,

            }

        },
    })

export const ddrw_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/edit',
        data: {
            issubmit: '1',
            ddrw_id: data.ddrw_id,
            jdbg_dddx_ddrw: {
                ddrw_name: data.ddrw_name,
                ddrw_cjr: data.ddrw_cjr,
                ddrw_fzr: data.ddrw_fzr,
                ddrw_jzsj: data.ddrw_jzsj,
                ddrw_zt: data.ddrw_zt,
                ddrw_ddnr: data.ddrw_ddnr,
            }

        },
    })

export const ddrw_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/delete',
        data: {
            ddrw_id: data.ddrw_id
        },
    })
export const ddrw_detail = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/detail',
        data: {
            ddrw_id: data.ddrw_id
        },
    })





