import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const gzzj_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_gzzj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name,
        }
    })
export const gzzj_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_gzzj/add',
        data: {
            issubmit: '1',
            jdbg_dddx_gzzj: {
                ddzj_ssrw: data.ddzj_ssrw,
                ddzj_cjr: data.ddzj_cjr,
                ddzj_fzr: data.ddzj_fzr,
                ddzj_cjsj: data.ddzj_cjsj,
                ddzj_fkdx: data.ddzj_fkdx,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,

            }

        },
    })

export const gzzj_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_gzzj/edit',
        data: {
            issubmit: '1',
            ddzj_id: data.ddzj_id,
            jdbg_dddx_gzzj: {
                ddzj_ssrw: data.ddzj_ssrw,
                ddzj_cjr: data.ddzj_cjr,
                ddzj_fzr: data.ddzj_fzr,
                ddzj_cjsj: data.ddzj_cjsj,
                ddzj_fkdx: data.ddzj_fkdx,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name,
            }

        },
    })

export const gzzj_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_gzzj/delete',
        data: {
            ddzj_id: data.ddzj_id
        },
    })






