import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/gzgl_gzgl/index',
    data:{limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/gzgl_gzgl/add',
  data: {xdbg_gzgl_gzgl:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/gzgl_gzgl/edit',
  data: {xgg_id:chooseId,xdbg_gzgl_gzgl:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/gzgl_gzgl/detail',
  data: {xgg_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/gzgl_gzgl/delete',
  data: {xgg_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/gzgl_gzgl/index',
  data: keyIn_keyword
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/gzgl_gzgl/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
};

//批量公示
export const batchEditApi = (chooseId,data={}) => request({
  url: '/xdbg/gzgl_gzgl/mass_xgg_gs',
  data: {xgg_id:chooseId}
});