import request from '@/utils/request'

export const queryZjpfApi = (data = {}) =>
  request({
    url: '/hdpb/pfjl/index',
    data,
  })
export const addZjpfApi = (data = {}) =>
  request({ url: 'hdpb/pfjl/add', data: { issubmit: 1, hdpb_pfjl: data } })
export const deleteZjpfApi = (id) =>
  request({ url: 'hdpb/pfjl/delete', data: { hpj_id: id } })
export const editZjpfApi = (data = {}) =>
  request({
    url: 'hdpb/pfjl/edit',
    data: {
      issubmit: 1,
      hpj_id: data.hpj_id,
      hdpb_pfjl: data,
    },
  })
