import request from '@/utils/request'
export const queryApi = (data = {}) =>
  request({
    url: 'hdpb/bmjl/index',
    data,
  })
export const addApi = (data = {}) =>
  request({ url: 'hdpb/bmjl/add', data: { issubmit: 1, hdpb_bmjl: data } })
export const deleteApi = (id) =>
  request({ url: 'hdpb/bmjl/delete', data: { hb_id: id } })
export const editApi = (data = {}) =>
    request({
        url: 'hdpb/bmjl/edit',
        data:{
            issubmit:1,
            hb_id: data.hb_id,
            hdpb_bmjl:{
                hb_shzt: data.hb_shzt
            }

        }
    })
export const signDetail = (id) =>
    request({
        url:'/hdpb/bmjl/detail',
        data:{ hb_id:id }
})
export const addReview = (data ={}) =>
    request({
        url:'/hdpb/pfjl/add',
        data:{
            issubmit:1,
            hdpb_pfjl:{
                hhg_id: data.hhg_id,
                hb_id: data.hb_id,
                hbj_pfr: data.hbj_pfr,
                hbj_cate: data.hbj_cate,
                hp_id: data.hp_id,
                hpj_fs: data.hpj_fs,
            },
            hdpb_xzpfjl: data.hdpb_xzpfjl
        }
    })
export const editReview = (data ={}) =>
    request({
        url:'/hdpb/pfjl/edit',
        data:{
            issubmit:1,
            hpj_id: data.hpj_id,
            hdpb_pfjl:{
                hhg_id: data.hhg_id,
                hb_id: data.hb_id,
                hbj_pfr: data.hbj_pfr,
                hbj_cate: data.hbj_cate,
                hp_id: data.hp_id,
                hpj_fs: data.hpj_fs
            },
            hdpb_xzpfjl: data.hdpb_xzpfjl
        }
    })
export const setYx = (id ={}) =>
    request({
        url:'/hdpb/bmjl/set_yxzp',
        data:{
            hb_id: id
        }
    })