import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
  request({
    url: '/jdbg/jkda_bb/index',
    data: {
      page: data.page,
      limit: data.limit,
      jkbb_bbmc: data.jkbb_bbmc,
      create_dateline: data.create_dateline
    }
  })

export const bbtj_add = (data = {}) =>
  request({
    url: '/jdbg/jkda_bb/add',
    data: {
      issubmit: '1',
      jdbg_jkda_bb: {
        jkbb_keyword: data.jkbb_keyword,
        jkbb_bbmc: data.jkbb_bbmc,
        jkbb_xq: data.jkbb_xq,
        jkbb_xq_mc: data.jkbb_xq_mc,
        jkbb_cjr: data.jkbb_cjr,
        jkbb_data: data.jkbb_data,
      }

    },
  })

export const bbtj_del = (data = {}) =>
  request({
    url: '/jdbg/jkda_bb/delete',
    data: {
      jkbb_id: data.jkbb_id
    },
  })

export const bbtj_detail = (data = {}) =>
  request({
    url: '/jdbg/jkda_bb/detail',
    data: {
      jkbb_id: data.jkbb_id
    },
  })

export const bbtj_export = (data = {}) =>
  request({
    url: '/jdbg/jkda_bb/index',
    api: "xls",
    data: {
      page: data.page,
      limit: data.limit
    },
  })
export const team_list = (data = {}) =>
  request({
    url: '/jcxx/team/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      team_id: data.team_id,
      team_current: data.team_current

    }
  })

export const jkda_list = (data = {}) =>
  request({
    url: '/jdbg/jkda/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      jkda_xs: data.jkda_xs,
      jkda_xq: data.jkda_xq,

    }
  })

export const bbys = (data = {}) => {
  return request({
    url: "/jdbg/jkda_bb/zip",
    data,
  });
}