import request from '@/utils/request'
export const jkda_list = (data = {}) =>
  request({
    url: '/jdbg/jkda/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      jkda_xs: data.jkda_xs,
      jkda_xq: data.jkda_xq,

    }
  })
export const school_list = (data = {}) =>
  request({
    url: '/jdbg/jkda/get_school',
    data,
  })

export const team_list = (data = {}) =>
  request({
    url: '/jcxx/team/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      team_id: data.team_id,
      team_current: data.team_current

    }
  })
export const jkda_export = (data = {}) =>
  request({
    url: '/jdbg/jkda/index',
    api: "xls",
    data: {
      page: data.page,
      limit: data.limit
    },
  })
export const jkda_import = (data = {}) =>
  request({
    url: '/jdbg/jkda/import_standard',
    data: {
      issubmit: '1',
      file: data.file,
      jkda_xq: data.jkda_xq,
      jkda_xq_mc: data.jkda_xq_mc
    }
  })





