import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jjb_fzyj: data.jjb_fzyj,
            jjb_sjfx: data.jjb_sjfx,
            jjb_qxkz: data.jjb_qxkz,
            jjb_lclx: data.jjb_lclx,
            jjb_lclx_id: data.jjb_lclx_id,
            jjb_cjr: data.jjb_cjr,
            jjb_shr: data.jjb_shr,
            jjb_shr_id: data.jjb_shr_id,
            jjb_cjsj: data.jjb_cjsj,
        }
    })


export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_jsld_bbtj: {
                jjb_name: data.jjb_name,
                jjb_fzyj: data.jjb_fzyj,
                jjb_sjfx: data.jjb_sjfx,
                jjb_qxkz: data.jjb_qxkz,
                jjb_lclx: data.jjb_lclx,
                jjb_lclx_id: data.jjb_lclx_id,
                jjb_cjr: data.jjb_cjr,
                jjb_shr: data.jjb_shr,
                jjb_shr_id: data.jjb_shr_id,
                jjb_cjsj: data.jjb_cjsj,


            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/edit',
        data: {
            issubmit: '1',
            jjb_id: data.jjb_id,
            jdbg_jsld_bbtj: {
                jjb_name: data.jjb_name,
                jjb_fzyj: data.jjb_fzyj,
                jjb_sjfx: data.jjb_sjfx,
                jjb_qxkz: data.jjb_qxkz,
                jjb_lclx: data.jjb_lclx,
                jjb_lclx_id: data.jjb_lclx_id,
                jjb_cjr: data.jjb_cjr,
                jjb_shr: data.jjb_shr,
                jjb_shr_id: data.jjb_shr_id,
                jjb_cjsj: data.jjb_cjsj,
            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/delete',
        data: {
            jjb_id: data.jjb_id
        },
    })
export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/detail',
        data: {
            jjb_id: data.jjb_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/jsld_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })




