import request from '@/utils/request'
export const lcgl_list = (data = {}) =>
    request({
        url: '/jdbg/wjsj_lcgl/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            wlc_cate: data.wlc_cate,
            wlc_cjsj: data.wlc_cjsj
        }
    })
export const lcgl_add = (data = {}) =>
    request({
        url: '/jdbg/wjsj_lcgl/add',
        data: {
            issubmit: '1',
            jdbg_wjsj_lcgl: {
                wlc_name: data.wlc_name,
                wlc_cate: data.wlc_cate,
                wlc_cjsj: data.wlc_cjsj,
                wlc_cjr: data.wlc_cjr,
                wlc_shr: data.wlc_shr,
                wlc_zdyfj:data.wlc_zdyfj,
                wlc_shr_user_id: data.wlc_shr_user_id
            }

        },
    })

export const lcgl_edit = (data = {}) =>
    request({
        url: '/jdbg/wjsj_lcgl/edit',
        data: {
            issubmit: '1',
            wlc_id: data.wlc_id,
            jdbg_wjsj_lcgl: {
                wlc_name: data.wlc_name,
                wlc_cate: data.wlc_cate,
                wlc_cjsj: data.wlc_cjsj,
                wlc_cjr: data.wlc_cjr,
                wlc_shr: data.wlc_shr,
                wlc_zdyfj:data.wlc_zdyfj,
                wlc_shr_user_id: data.wlc_shr_user_id
            }

        },
    })

export const lcgl_del = (data = {}) =>
    request({
        url: '/jdbg/wjsj_lcgl/delete',
        data: {
            wlc_id: data.wlc_id
        },
    })
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })

