import request from '@/utils/request'
export const sbys_list = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sbys/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jsy_date: data.jsy_date,
            jsy_zt: data.jsy_zt
        }
    })
export const sblb_list = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sblxgl/index',
        data: {
            page: data.page,
            limit: data.limit,
        }
    })
export const sbys_add = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sbys/add',
        data: {
            issubmit:'1',
            jdbg_jysbys_sbys:{
                jsy_title: data.jsy_title,
                jsy_dept_id: data.jsy_dept_id,
                jsy_sblb: data.jsy_sblb,
                jsy_yscse: data.jsy_yscse,
                jsy_txbl: data.jsy_txbl,
                jsy_date: data.jsy_date,
                sy_shbm_dept_id: data.sy_shbm_dept_id,
                sy_shbm_dept_name: data.sy_shbm_dept_name,
                sy_shry_user_id: data.sy_shry_user_id,
                sy_shry_user_realname:data.sy_shry_user_realname
            }
        }
    })
export const sbys_edit = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sbys/edit',
        data: {
            issubmit:'1',
            jsy_id:data.jsy_id,
            jdbg_jysbys_sbys:{
                jsy_title: data.jsy_title,
                jsy_dept_id: data.jsy_dept_id,
                jsy_sblb: data.jsy_sblb,
                jsy_yscse: data.jsy_yscse,
                jsy_txbl: data.jsy_txbl,
                jsy_date: data.jsy_date,
                sy_shbm_dept_id: data.sy_shbm_dept_id,
                sy_shbm_dept_name: data.sy_shbm_dept_name,
                sy_shry_user_id: data.sy_shry_user_id,
                sy_shry_user_realname:data.sy_shry_user_realname
            }
        }
    })
export const sbys_del = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sbys/delete',
        data: {
            issubmit:'1',
            jsy_id:data.jsy_id
        }
    })
export const sbys_verify = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sbys/edit',
        data: {
            issubmit:'1',
            jsy_id:data.jsy_id,
            jdbg_jysbys_sbys:{
                jsy_zt:data.jsy_zt
            }
        }
    })
export const org_list_tree = (data = {}) =>
    request({
        url: '/user/org/list_tree',
        data: {}
    })
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })