import request from '@/utils/request'
export const kylb_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const kyhd_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kyhd/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const kyhd_add = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kyhd/add',
        data: {
            issubmit: '1',
            jdbg_kylxsb_kyhd: {
                kylb_id: data.kylb_id,
                kyhd_name: data.kyhd_name,
                kyhd_cyry: data.kyhd_cyry,
                kyhd_hdsj: data.kyhd_hdsj,
                kyhd_hdnr: data.kyhd_hdnr,
                kyhd_qtfj: data.kyhd_qtfj,

            }

        },
    })

export const kyhd_edit = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kyhd/edit',
        data: {
            issubmit: '1',
            kyhd_id: data.kyhd_id,
            jdbg_kylxsb_kyhd: {
                kylb_id: data.kylb_id,
                kyhd_name: data.kyhd_name,
                kyhd_cyry: data.kyhd_cyry,
                kyhd_hdsj: data.kyhd_hdsj,
                kyhd_hdnr: data.kyhd_hdnr,
                kyhd_qtfj: data.kyhd_qtfj,
            }

        },
    })

export const kyhd_del = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kyhd/delete',
        data: {
            kyhd_id: data.kyhd_id
        },
    })



