import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data = {}) =>
  request({
    url: 'hdpb/hdgg/index',
    data:{issubmit:1,page: choosePage,limit: 10},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/hdpb/hdgg/add',
  data: {issubmit: 1,hdpb_hdgg:data}
});
//编辑接口
export const editApi = (hhId,data={}) => request({
  url: '/hdpb/hdgg/edit',
  data: {issubmit: 1,hh_id:hhId,hdpb_hdgg:data}
});
//删除接口
export const deleteApi = (hhId) => request({
  url: '/hdpb/hdgg/delete',
  data: { issubmit:1,hh_id:hhId}
});

//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/hdpb/hdgg/index',
  data:{keyword:keyIn_keyword}
})
