import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data = {}) =>
  request({
    url: 'hdpb/tzgg/index',
    data: { page: choosePage, limit: 10 },
  })
// 添加接口  
export const addApi = (data = {}) => request({
    url: '/hdpb/tzgg/add',
    data: { issubmit: 1, hdpb_tzgg: data }
})
//编辑接口
export const editApi = (hZID, data = {}) => request({
  url: '/hdpb/tzgg/edit',
  data:{issubmit:1,hz_id:hZID,hdpb_tzgg:data}
})
//删除接口
export const deleteApi = (hZID) => request({
  url: '/hdpb/tzgg/delete',
  data:{issubmit:1,hz_id:hZID}
})
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/hdpb/tzgg/index',
  data:{issubmit:1,keyword:keyIn_keyword}
})
