import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data = {}) =>
  request({
    url: '/hdpb/yxzp/index',
    data:{issubmit:1,page: choosePage,limit: 10},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/hdpb/yxzp/add',
  data: {issubmit: 1,hdpb_yxzp:data}
});
//编辑接口
export const editApi = (hyId,data={}) => request({
  url: '/hdpb/yxzp/edit',
  data: {issubmit: 1,hy_id:hyId,hdpb_yxzp:data}
});
//删除接口
export const deleteApi = (hyId) => request({
  url: '/hdpb/yxzp/delete',
  data: { issubmit:1,hy_id:hyId}
});

//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/hdpb/yxzp/index',
  data:{ issubmit:1,keyword:keyIn_keyword}
})
