import request from '@/utils/request';
export const pjkh_list = (data = {}) =>
    request({
        url: '/jdbg/pjkhxt_pjkh/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const pjkh_add = (data = {}) =>
    request({
        url: '/jdbg/pjkhxt_pjkh/add',
        data:{
            issubmit:'1',
            jdbg_pjkhxt_pjkh:{
                pjkh_title:data.pjkh_title,
                pjkh_content:data.pjkh_content,
                pjkh_khlx:data.pjkh_khlx,
                pjkh_cjsj:data.pjkh_cjsj,
                pjkh_cpkssj:data.pjkh_cpkssj,
                pjkh_cpjssj:data.pjkh_cpjssj,
                pjkh_ytjfs:data.pjkh_ytjfs,
                pjkh_khxm:data.pjkh_khxm,
                pjkh_khzcy:data.pjkh_khzcy,
                pjkh_bkhcy: data.pjkh_bkhcy
            }
        }
    })
export const pjkh_edit = (data = {}) =>
    request({
        url: '/jdbg/pjkhxt_pjkh/edit',
        data:{
            issubmit:'1',
            pjkh_id: data.pjkh_id,
            jdbg_pjkhxt_pjkh:{
                pjkh_title:data.pjkh_title,
                pjkh_content:data.pjkh_content,
                pjkh_khlx:data.pjkh_khlx,
                pjkh_cjsj:data.pjkh_cjsj,
                pjkh_cpkssj:data.pjkh_cpkssj,
                pjkh_cpjssj:data.pjkh_cpjssj,
                pjkh_ytjfs:data.pjkh_ytjfs,
                pjkh_khxm:data.pjkh_khxm,
                pjkh_zt:data.pjkh_zt,
                pjkh_khzcy:data.pjkh_khzcy,
                pjkh_bkhcy: data.pjkh_bkhcy
            }
        }
    })
export const pjkh_del = (data = {}) =>
    request({
        url: '/jdbg/pjkhxt_pjkh/delete',
        data:{
            issubmit:'1',
            pjkh_id: data.pjkh_id
        }
    })
export const pjkh_detail = (data = {}) =>
    request({
        url: '/jdbg/pjkhxt_pjkh/detail',
        data:{
            issubmit:'1',
            pjkh_id: data.pjkh_id
        }
    })
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })