import request from '@/utils/request'
export const zyxxlb_list = (data = {}) =>
  request({
    url: '/jdbg/qjy/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      qjy_zylb_id: data.qjy_zylb_id,
      qjy_zylb_mc: data.qjy_zylb_mc,
      qjy_scsj: data.qjy_scsj,
      qjy_zymc: data.qjy_zymc
    }
  })
export const zyxxlb_add = (data = {}) =>
  request({
    url: '/jdbg/qjy/add',
    data: {
      issubmit: '1',
      jdbg_qjy: {
        qjy_zymc: data.qjy_zymc,
        qjy_zylb_id: data.qjy_zylb_id,
        qjy_zylb_mc: data.qjy_zylb_mc,
        qjy_zylx: data.qjy_zylx,
        qjy_zydx: data.qjy_zydx,
        qjy_scr: data.qjy_scr,
        qjy_scsj: data.qjy_scsj,
        qjy_sfgx: data.qjy_sfgx,
        qjy_wjmc: data.qjy_wjmc,
        qjy_wjdz: data.qjy_wjdz
      }
    }
  })

export const zyxxlb_edit = (data = {}) =>
  request({
    url: '/jdbg/qjy/edit',
    data: {
      issubmit: '1',
      qjy_id: data.qjy_id,
      jdbg_qjy: {
        qjy_zymc: data.qjy_zymc,
        qjy_zylb_id: data.qjy_zylb_id,
        qjy_zylb_mc: data.qjy_zylb_mc,
        qjy_zylx: data.qjy_zylx,
        qjy_zydx: data.qjy_zydx,
        qjy_scr: data.qjy_scr,
        qjy_scsj: data.qjy_scsj,
        qjy_sfgx: data.qjy_sfgx,
        qjy_wjmc: data.qjy_wjmc,
        qjy_wjdz: data.qjy_wjdz
      }
    }
  })

export const zyxxlb_del = (data = {}) =>
  request({
    url: '/jdbg/qjy/delete',
    data: {
      issubmit: '1',
      qjy_id: data.qjy_id,

    }
  })
export const zyxxlb_detail = (data = {}) =>
  request({
    url: '/jdbg/qjy/detail',
    data: {
      issubmit: '1',
      qjy_id: data.qjy_id,

    }
  })
export const bbys = (data = {}) => {
  return request({
    url: "/upload/main/download_batch",
    data,
  });
}
export const zylbgl_list = (data = {}) =>
  request({
    url: '/jdbg/qjylb/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      qjylb_zylbmc: data.qjylb_zylbmc
    }
  })