import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jxt_cjr: data.jxt_cjr,
            jxt_cjsj: data.jxt_cjsj,
            jxt_cyzt: data.jxt_cyzt,
            jxt_zxzt: data.jxt_zxzt,
            jxt_cjr_user_id: data.jxt_cjr_user_id
        }
    })

export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_xqyctj_bbtj: {
                jxt_name: data.jxt_name,
                jxt_cjr: data.jxt_cjr,
                jxt_cjsj: data.jxt_cjsj,
                content_setting_json: data.content_setting_json,
                content_stat_json: data.content_stat_json,
                jxt_cyzt: data.jxt_cyzt,
                jxt_zxzt: data.jxt_zxzt,
                jxt_ytjfs: data.jxt_ytjfs,
                jxt_cjr_user_id: data.jxt_cjr_user_id

            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/edit',
        data: {
            issubmit: '1',
            jxt_id: data.jxt_id,
            jdbg_xqyctj_bbtj: {
                jxt_name: data.jxt_name,
                jxt_cjr: data.jxt_cjr,
                jxt_cjsj: data.jxt_cjsj,
                content_setting_json: data.content_setting_json,
                content_stat_json: data.content_stat_json,
                jxt_cyzt: data.jxt_cyzt,
                jxt_zxzt: data.jxt_zxzt,
                jxt_ytjfs: data.jxt_ytjfs,
                jxt_cjr_user_id: data.jxt_cjr_user_id
            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/delete',
        data: {
            jxt_id: data.jxt_id
        },
    })

export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/detail',
        data: {
            jxt_id: data.jxt_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/xqyctj_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })