import request from '@/utils/request'
export const cjbs_detail = (data = {}) =>
  request({
    url: '/jdbg/xsjs_bsgl/detail',
    data: {
      issubmit: '1',
      bs_id: data.bs_id
    }
  })
export const xsxq_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/index',
    data: {
      page: data.page,
      limit: data.limit,
      //keyword: data.keyword,
      bs_id: data.bs_id,
      issubmit: '1',
    }
  })
export const xsxq_add = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/add',
    data: {
      issubmit: '1',
      jdbg_xsjs_xsgl: {
        xs_name: data.xs_name,
        xs_sex: data.xs_sex,
        xs_grade: data.xs_grade,
        xs_sfz_code: data.xs_sfz_code,
        bs_type: data.bs_type,
        bs_name: data.bs_name,
        xs_school_name: data.xs_school_name,
        xs_school_id: data.xs_school_id,
        bs_id: data.bs_id
      }
    }
  })
export const xsxq_edit = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/edit',
    data: {
      issubmit: '1',
      xs_id: data.xs_id,
      jdbg_xsjs_xsgl: {
        bs_id: data.bs_id,
        xs_name: data.xs_name,
        xs_sex: data.xs_sex,
        xs_grade: data.xs_grade,
        xs_sfz_code: data.xs_sfz_code,
        bs_type: data.bs_type,
        bs_name: data.bs_name,
        xs_school_name: data.xs_school_name,
        xs_school_id: data.xs_school_id
      }
    }
  })
export const xsxq_del = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/delete',
    data: {
      issubmit: '1',
      xs_id: data.xs_id
    }
  })
export const rygl_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_rygl/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      create_user_name: data.create_user_name,

    }
  })
export const school_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/school_list',
    data,
  })
export const grade_list = (data = {}) =>
  request({
    url: '/jcxx/grade/index',
    data,
  })