import request from '@/utils/request'
export const sjhz_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_ttbb/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      create_dateline: data.create_dateline
    }
  })

export const sjhz_add = (data = {}) =>
  request({
    url: '/jdbg/xsjs_ttbb/add',
    data: {
      issubmit: '1',
      jdbg_xsjs_ttbb: {
        bb_name: data.bb_name,
        bb_year: data.bb_year,
        bb_school_id: data.bb_school_id,
        bb_school_name: data.bb_school_name,
        ry_id: data.ry_id,
        ry_name: data.ry_name,
        create_user_name: data.create_user_name,


      }

    },
  })

export const sjhz_del = (data = {}) =>
  request({
    url: '/jdbg/xsjs_ttbb/delete',
    data: {
      bb_id: data.bb_id
    },
  })

export const sjhz_detail = (data = {}) =>
  request({
    url: '/jdbg/xsjs_ttbb/detail',

    data: {
      bb_id: data.bb_id
    },
  })

export const rygl_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_rygl/index',
    data: {
      page: data.page,
      limit: data.limit,
      keyword: data.keyword,
      create_user_name: data.create_user_name,

    }
  })
export const school_list = (data = {}) =>
  request({
    url: '/jdbg/xsjs_xsgl/school_list',
    data,
  })
export const bbys = (data = {}) => {
  return request({
    url: "/jdbg/xsjs_ttbb/index",
    data,
  });
}
