import request from '@/utils/request'
export const export_all = (data={}) =>
  request({
    url: 'user/org/index',
    data,
    method: 'GET'
  })
export const list_tree = (data={}) =>
  request({
    url: 'user/org/list_tree',
    data,
  })
export const hdlx_list_tree = (data={}) =>
  request({
    url: 'hdpb/hdlx/list_tree',
    data,
  })
export const org_user_list = (data = {}) =>
  request({
    url: 'user/org/index',
    data,
  })
export const org_user_detail = (data = {}) =>
  request({
    url: 'user/org/detail',
    data,
  })
export const org_user_edit = (data = {}) =>
  request({
    url: 'user/org/edit',
    data,
  })
export const org_user_add = (data = {}) =>
  request({
    url: 'user/org/add',
    data,
  })
export const user_list = (data = {}) =>
  request({
    url: 'user/main/index',
    data,
  })
export const user_add = (data = {}) =>
  request({
    url: 'user/main/add',
    data,
  })
export const user_delete = (data = {}) =>
  request({
    url: 'user/main/delete',
    data,
  })
export const user_role = (data = {}) =>
  request({
    url: 'user/role/index',
    data,
  })
export const user_edit = (data = {}) =>
  request({
    url: 'user/main/edit',
    data,
  })
export const user_set_access = (data = {}) =>
  request({
    url: 'user/main/set_access',
    data,
  })
export const hdlx_members_manage = (data = {}) =>
  request({
    url: 'hdpb/hdlx/members',
    data,
  })
export const addApi = () => request({})
export const deleteApi = () => request({})
export const editApi = () => request({})
