import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/xxry_xxry/index',
    data:{page: choosePage,limit: 10},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/xxry_xxry/add',
  data: {xdbg_xxry_xxry:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/xxry_xxry/edit',
  data: {xxx_id:chooseId,xdbg_xxry_xxry:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/xxry_xxry/detail',
  data: { xxx_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/xxry_xxry/delete',
  data: { xxx_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/xxry_xxry/index',
  data: keyIn_keyword 
});


