import request from '@/utils/request'
export const ddrw_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddrw/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const ddgzjh_list = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            ddrw_id: data.ddrw_id,
            ddrw_name: data.ddrw_name
        }
    })
export const ddgzjh_add = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/add',
        data: {
            issubmit: '1',
            jdbg_dddx_ddgzjh: {
                ddjh_name: data.ddjh_name,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_jhsj: data.ddjh_jhsj,
                ddjh_fzr: data.ddjh_fzr,
                ddjh_surw: data.ddjh_surw,
                ddjh_jhnr: data.ddjh_jhnr,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name

            }

        },
    })

export const ddgzjh_edit = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/edit',
        data: {
            issubmit: '1',
            ddjh_id: data.ddjh_id,
            jdbg_dddx_ddgzjh: {
                ddjh_name: data.ddjh_name,
                ddjh_cjr: data.ddjh_cjr,
                ddjh_jhsj: data.ddjh_jhsj,
                ddjh_fzr: data.ddjh_fzr,
                ddjh_surw: data.ddjh_surw,
                ddjh_jhnr: data.ddjh_jhnr,
                ddrw_id: data.ddrw_id,
                ddrw_name: data.ddrw_name


            }

        },
    })

export const ddgzjh_del = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/delete',
        data: {
            ddjh_id: data.ddjh_id
        },
    })
export const ddgzjh_detail = (data = {}) =>
    request({
        url: '/jdbg/dddx_ddgzjh/detail',
        data: {
            ddjh_id: data.ddjh_id
        },
    })






