import request from '@/utils/request'
export const queryApi = (data = {}) =>
  request({
    url: 'hdpb/hdgl/index',
    data,
  })

export const addApi = (data = {}) =>
  request({ url: 'hdpb/hdgl/add', data: { issubmit: 1, hdpb_hdgl: data } })
export const deleteApi = (id) =>
  request({ url: 'hdpb/hdgl/delete', data: { hhg_id: id } })
export const editApi = (id, data = {}) =>
  request({
    url: 'hdpb/hdgl/edit',
    data: { issubmit: 1, hhg_id: id, hdpb_hdgl: data },
  })
export const detailApi = (id) =>
  request({ url: '/hdpb/hdgl/detail', data: { hhg_id: id } })
export const copyApi = (id) =>
  request({ url: 'hdpb/hdgl/copy', data: { hhg_id: id } })

export const queryPfmbApi = (data = {}) =>
  request({
    url: '/hdpb/pfmb/index',
    data: {
      ...data,
      hp_pid: 0,
    },
  })

export const queryZjszApi = (data = {}) =>
  request({
    url: '/user/main/index',
    data: {
      ...data,
      page:1,
      limit:1000,
      dept_id: 2,
      all: 1,
    },
  })

export const queryHdlxApi = (data = {}) =>
  request({
    url: '/hdpb/hdlx/list_tree',
    data: {
      ...data,
    },
  })

export const queryHdjbApi = (data = {}) =>
  request({
    url: '/common/sjzd/index',
    data: {
      ...data,
      // cs_level: 'hhg_level',
      cs_pid: 1,
    },
  })
