import request from '@/utils/request'
export const queryApi = (data = {}) =>
  request({
    url: 'hdpb/bmjl/index',
    data,
  })
export const addApi = (data = {}) =>
  request({ url: 'hdpb/bmjl/add', data: { issubmit: 1, hdpb_bmjl: data } })
export const deleteApi = (id) =>
  request({ url: 'hdpb/bmjl/delete', data: { hb_id: id } })
export const editApi = (id, data = {}) =>
  request({
    url: 'hdpb/bmjl/edit',
    data: { issubmit: 1, hb_id: id, hdpb_bmjl: data },
  })
  
export const queryHdlxApi = (data = {}) =>
  request({
    url: '/hdpb/hdlx/list_tree',
    data: {
      ...data,
    },
  })

export const detailApi = (id) =>
  request({ url: '/hdpb/bmjl/detail', data: { hb_id: id } })


