import request from '@/utils/request';

//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jxkh_khcssz/index',
    data:{api:'json',limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jxkh_khcssz/add',
  data: {api:"json",xdbg_jxkh_khcssz:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jxkh_khcssz/edit',
  data: {api:"json",xjk_id:chooseId,xdbg_jxkh_khcssz:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jxkh_khcssz/detail',
  data: {api:'json',xjk_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jxkh_khcssz/delete',
  data: { api:'json',xjk_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jxkh_khcssz/index',
  data:{ api:'json',keyword:keyIn_keyword}
})

//数据字典-列表
export const queryApiKhlx = (data = {}) =>
  request({
    url: '/common/sjzd/index',
    data
  })



//数据字典-添加
export const addApiKhlx = (data = {}) => request({
    url: '/common/sjzd/add',
    data
  });

//数据字典-编辑
export const editApiKhlx = (data) => request({
  url: '/common/sjzd/edit',
  data
});
 
//数据字典-详情
export const detailApihlx = (data) => request({
  url: '/common/sjzd/detail',
  data
});

//数据字典-删除
export const deleteApiKhlx = (data) => request({
  url: '/common/sjzd/delete',
  data
});

//数据字典通用option
export const listOption = (data) => request({
  url: "/common/sjzd/option",
  data
})