import request from '@/utils/request'
export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jjt_fzyj: data.jjt_fzyj,
            jjt_sjfx: data.jjt_sjfx,
            jjt_qxkz: data.jjt_qxkz,
            jjt_lclx: data.jjt_lclx,
            jjt_lclx_id: data.jjt_lclx_id,
            jjt_cjr: data.jjt_cjr,
            jjt_shr: data.jjt_shr,
            jjt_shr_id: data.jjt_shr_id,
            jjt_cjsj: data.jjt_cjsj
        }
    })

export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_jysbys_bbtj: {
                jjt_name: data.jjt_name,
                jjt_fzyj: data.jjt_fzyj,
                jjt_sjfx: data.jjt_sjfx,
                jjt_qxkz: data.jjt_qxkz,
                jjt_lclx: data.jjt_lclx,
                jjt_lclx_id: data.jjt_lclx_id,
                jjt_cjr: data.jjt_cjr,
                jjt_shr: data.jjt_shr,
                jjt_shr_id: data.jjt_shr_id,
                jjt_cjsj: data.jjt_cjsj
            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/edit',
        data: {
            issubmit: '1',
            jjt_id: data.jjt_id,
            jdbg_jysbys_bbtj: {
                jjt_name: data.jjt_name,
                jjt_fzyj: data.jjt_fzyj,
                jjt_sjfx: data.jjt_sjfx,
                jjt_qxkz: data.jjt_qxkz,
                jjt_lclx: data.jjt_lclx,
                jjt_lclx_id: data.jjt_lclx_id,
                jjt_cjr: data.jjt_cjr,
                jjt_shr: data.jjt_shr,
                jjt_shr_id: data.jjt_shr_id,
                jjt_cjsj: data.jjt_cjsj

            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/delete',
        data: {
            jjt_id: data.jjt_id,

        },
    })

export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/detail',
        data: {
            jjt_id: data.jjt_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/jysbys_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })