import request from '@/utils/request'
export const sblb_list = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sblxgl/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const sblb_add = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sblxgl/add',
        data: {
            issubmit: '1',
            jdbg_jysbys_sblxgl: {
                jslx_name: data.jslx_name,
                jslx_cjr: data.jslx_cjr,
                jslx_date: data.jslx_date,
                jslx_shry: data.jslx_shry,

            }

        },
    })

export const sblb_edit = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sblxgl/edit',
        data: {
            issubmit: '1',
            jslx_id: data.jslx_id,
            jdbg_jysbys_sblxgl: {
                jslx_name: data.jslx_name,
                jslx_cjr: data.jslx_cjr,
                jslx_date: data.jslx_date,
                jslx_shry: data.jslx_shry,

            }

        },
    })

export const sblb_del = (data = {}) =>
    request({
        url: '/jdbg/jysbys_sblxgl/delete',
        data: {
            jslx_id: data.jslx_id
        },
    })



