//采用： /xdbg/jzggl_bbgl_dybb/index 列表接口 等

import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jzggl_bbgl_dybb/index',
    data:{issubmit:'1',limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jzggl_bbgl_dybb/add',
  data: { issubmit:'1', issubmit: 1,xdbg_jzggl_bbgl_dybb:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jzggl_bbgl_dybb/edit',
  data: {issubmit: 1,xjj_id:chooseId,xdbg_jzggl_bbgl_dybb:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jzggl_bbgl_dybb/detail',
  data: { issubmit: '1', api: "json", xjbd_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jzggl_bbgl_dybb/delete',
  data: {issubmit:'1', xjbd_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jzggl_bbgl_dybb/index',
  data: keyIn_keyword 
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jzggl_bbgl_dybb/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
}