
import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,data={}) =>
  request({
    url: '/xdbg/jzggl_bbgl_gbbb/index',
    data:{limit: 10,page: choosePage},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jzggl_bbgl_gbbb/add',
  data: { xdbg_jzggl_bbgl_gbbb:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jzggl_bbgl_gbbb/edit',
  data: {xjj_id:chooseId,xdbg_jzggl_bbgl_gbbb:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jzggl_bbgl_gbbb/detail',
  data: {  api: "json", xjbg_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jzggl_bbgl_gbbb/delete',
  data: { xjbg_id:chooseId}
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/jzggl_bbgl_gbbb/index',
  data:keyIn_keyword 
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jzggl_bbgl_gbbb/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href);
  el.click()
}
