//教职工管理 教师维护

import request from '@/utils/request';
import { useUserStore } from '@/stores/user';
//列表数据
export const queryApi = (choosePage,keyword,data={}) =>
  request({
    url: '/xdbg/jzggl_jsgl/index',
    data:{issubmit:'1', api:"json",limit: 10,page: choosePage,keyword:keyword},
  });
// 添加接口  
export const addApi = (data = {}) => request({
  url: '/xdbg/jzggl_jsgl/add',
  data: { issubmit:'1', issubmit: 1,xdbg_jzggl_jsgl:data}
});
//编辑接口
export const editApi = (chooseId,data={}) => request({
  url: '/xdbg/jzggl_jsgl/edit',
  data: {issubmit: 1,xjj_id:chooseId,xdbg_jzggl_jsgl:data}
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/jzggl_jsgl/detail',
  data: { issubmit: '1', api: "json", xjj_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/jzggl_jsgl/delete',
  data: {issubmit:'1', xgg_id:chooseId}
});
//搜索接口
export const searchApi = (keywordObj) => request({
  url: '/xdbg/jzggl_jsgl/index',
  data: keywordObj
});
//导出接口
export const exportApi = (data) => {
  let { token } = useUserStore();
  const params = Object.assign({ token, limit: 10000, page: 1, api: 'xls' }, data);
  const paramsStr = Object.entries(params).map(([k, v]) => `${k}=${v}`).join('&');
  const el = document.createElement('a');
  var url = "/xdbg/jzggl_jsgl/index";
  const href = `${window.globalVariables.api}${url}?${paramsStr}`;
  el.setAttribute('href', href)
  el.click()
};

