import request from '@/utils/request'

export const bbtj_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/index',
        data: {

            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            jkb_fzyj: data.jkb_fzyj,
            jkb_sjfx: data.jkb_sjfx,
            jkb_qxkz: data.jkb_qxkz,
            jkb_lclx: data.jkb_lclx,
            jkb_lclx_id: data.jkb_lclx_id,
            jkb_cjr: data.jkb_cjr,
            jkb_shr: data.jkb_shr,
            jkb_shr_id: data.jkb_shr_id,
            jkb_cjsj: data.jkb_cjsj,




        },
    })

export const bbtj_add = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/add',
        data: {
            issubmit: '1',
            jdbg_kylxsb_bbtj: {
                jkb_name: data.jkb_name,
                jkb_fzyj: data.jkb_fzyj,
                jkb_sjfx: data.jkb_sjfx,
                jkb_qxkz: data.jkb_qxkz,
                jkb_lclx: data.jkb_lclx,
                jkb_lclx_id: data.jkb_lclx_id,
                jkb_cjr: data.jkb_cjr,
                jkb_shr: data.jkb_shr,
                jkb_shr_id: data.jkb_shr_id,
                jkb_cjsj: data.jkb_cjsj,


            }

        },
    })

export const bbtj_edit = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/edit',
        data: {
            issubmit: '1',
            jkb_id: data.jkb_id,
            jdbg_kylxsb_bbtj: {
                jkb_name: data.jkb_name,
                jkb_fzyj: data.jkb_fzyj,
                jkb_sjfx: data.jkb_sjfx,
                jkb_qxkz: data.jkb_qxkz,
                jkb_lclx: data.jkb_lclx,
                jkb_lclx_id: data.jkb_lclx_id,
                jkb_cjr: data.jkb_cjr,
                jkb_shr: data.jkb_shr,
                jkb_shr_id: data.jkb_shr_id,
                jkb_cjsj: data.jkb_cjsj,


            }

        },
    })

export const bbtj_del = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/delete',
        data: {
            jkb_id: data.jkb_id
        },
    })
export const bbtj_detail = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/detail',
        data: {
            jkb_id: data.jkb_id
        },
    })

export const bbtj_export = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_bbtj/index',
        api: "xls",
        data: {
            page: data.page,
            limit: data.limit
        },
    })


