import request from '@/utils/request'
export const kylb_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/index',
        data: {
            page: data.page,
            limit: data.limit,
            keyword: data.keyword
        }
    })
export const kylb_add = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/add',
        data: {
            issubmit: '1',
            jdbg_kylxsb_kylb: {
                kylb_title: data.kylb_title,
                kylb_cjr: data.kylb_cjr,
                kylb_cjrq: data.kylb_cjrq,
                kylb_shry: data.kylb_shry


            }
        },
    })
export const kylb_edit = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/edit',
        data: {
            issubmit: '1',
            kylb_id: data.kylb_id,
            jdbg_kylxsb_kylb: {
                kylb_title: data.kylb_title,
                kylb_cjr: data.kylb_cjr,
                kylb_cjrq: data.kylb_cjrq,
                kylb_shry: data.kylb_shry


            }

        },
    })
export const kylb_del = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/delete',
        data: {
            kylb_id: data.kylb_id
        },
    })