import request from '@/utils/request'
export const kylb_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylb/index',
        data:{
            page: data.page,
            limit: data.limit
        }
    })
export const kylx_list = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylx/index',
        data:{
            page: data.page,
            limit: data.limit,
            keyword: data.keyword,
            kylx_zt: data.kylx_zt
        }
    })
export const kylx_add = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylx/add',
        data:{
            issubmit:'1',
            jdbg_kylxsb_kylx:{
                kylx_title:data.kylx_title,
                kylx_content:data.kylx_content,
                kylx_sqr:data.kylx_sqr,
                kylx_sqrq:data.kylx_sqrq,
                kylx_lb:data.kylx_lb,
                kylx_fj:data.kylx_fj,
                kylx_shr: data.kylx_shr,
                kylx_shr_user_id: data.kylx_shr_user_id
            }
        }
    })
export const kylx_edit = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylx/edit',
        data:{
            issubmit:'1',
            kylx_id: data.kylx_id,
            jdbg_kylxsb_kylx:{
                kylx_title:data.kylx_title,
                kylx_content:data.kylx_content,
                kylx_sqr:data.kylx_sqr,
                kylx_sqrq:data.kylx_sqrq,
                kylx_lb:data.kylx_lb,
                kylx_fj:data.kylx_fj,
                kylx_shr: data.kylx_shr,
                kylx_shr_user_id: data.kylx_shr_user_id
            }
        }
    })

export const kylx_del = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylx/delete',
        data:{
            issubmit:'1',
            kylx_id: data.kylx_id
        }
    })
export const kylx_verify = (data = {}) =>
    request({
        url: '/jdbg/kylxsb_kylx/edit',
        data:{
            issubmit:'1',
            kylx_id: data.kylx_id,
            jdbg_kylxsb_kylx:{
                kylx_zt:data.kylx_zt,
            }
        }
    })
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })