import request from '@/utils/request';

// 设备类型列表
export const sblx_list = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_sblx/index',
        data,
    })
}

// 设备类型添加
export const sblx_add = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_sblx/add',
        data: {
            jdbg_sbcg_sblx: data.jdbg_sbcg_sblx,
            issubmit:1,
        }
    })
}

// 设备类型编辑
export const sblx_edit = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_sblx/edit',
        data: {
            issubmit: 1,
            lb_id:data.lb_id,
            jdbg_sbcg_sblx: data.jdbg_sbcg_sblx,
        }
    })
}
// 设备类型删除
export const sblx_del = (data = {}) => {
    return request({
        url: '/jdbg/sbcg_sblx/delete',
        data,
    })
}

export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit

        }
    })