import request from '@/utils/request'
export const queryApi = (data = {}) =>
  request({
    url: 'hdpb/pfmb/index',
    data,
  })

export const addApi = (data = {}) =>
  request({ url: 'hdpb/pfmb/add', data: { issubmit: 1, hdpb_pfmb: data } })

export const deleteApi = (id) =>
  request({ url: 'hdpb/pfmb/delete', data: { hp_id: id } })

export const editApi = (id, data = {}) =>
  request({
    url: 'hdpb/pfmb/edit',
    data: { issubmit: 1, hp_id: id, hdpb_pfmb: data },
  })

export const treeApi = (id) =>
  request({ url: '/hdpb/pfmb/list_tree', data: { hp_id: id } })
